/*!********************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./node_modules/sass-loader/dist/cjs/index.js??ruleSet[1].rules[1].use[3]!./app/client/source/styles/blocks/default/media-text-block.scss ***!
  \********************************************************************************************************************************************************************************************************************************************************************************************/
/* --------------------------------------
Import variables and mixins
-------------------------------------- */
/* -----------------------------------------------------------
Font Families
----------------------------------------------------------- */
/* -----------------------------------------------------------
Grab the paragraph size and line height CSS variables
----------------------------------------------------------- */
/* -----------------------------------------------------------
Heading font-family map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Font weight map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Text transform
----------------------------------------------------------- */
/* -----------------------------------------------------------
Paragraph Text
----------------------------------------------------------- */
/* ----------------------------------------------------------------
Default Grid Settings
---------------------------------------------------------------- */
/* ----------------------------------------------------------------
Grid Helpers
---------------------------------------------------------------- */
/* --------------------------------------
Media & Text Block
-------------------------------------- */
.default-media-text {
  color: var(--_primary-colour-contrast, var(--body-background-colour-contrast, #000));
  background-color: var(--_primary-colour, transparent);
}
.default-media-text.in-view .default-media-text__content, .default-media-text.in-view .default-media-text__media {
  opacity: 1;
  transition: opacity 1s ease;
}
.default-media-text__wrap {
  --_wrapper-max-width: calc(var(--content-width, 154rem) * var(--base-size-multiplier, 1));
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--row-padding, 0);
  padding-right: var(--row-padding, 0);
  max-width: var(--_wrapper-max-width);
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;
}
.default-media-text__wrap {
  align-items: stretch;
}
.default-media-text__media, .default-media-text__content {
  display: block;
  width: 100%;
  padding-left: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  padding-right: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  margin-bottom: var(--_row-gap, var(--default-gap, 3rem));
}
.default-media-text__media, .default-media-text__content {
  opacity: 0;
}
@media only screen and (min-width: 968px) {
  .default-media-text__media, .default-media-text__content {
    width: 50%;
    margin-bottom: 0;
  }
}
.default-media-text__heading {
  font-weight: var(--_font-weight-max, 700);
  color: var(--_secondary-colour);
}
.default-media-text__media {
  position: relative;
}
@media only screen and (min-width: 968px) {
  .default-media-text__media.align-right {
    order: 2;
  }
}
@media only screen and (min-width: 968px) {
  .default-media-text__media.align-right + .default-media-text__content {
    order: 1;
    padding-right: 0;
    padding-left: var(--_row-gap, var(--default-gap, 3rem));
  }
}
.default-media-text__media.align-right + .default-media-text__content .default-media-text__text {
  padding-left: 0 !important;
}
.default-media-text__media.align-left + .default-media-text__content .default-media-text__text {
  padding-right: 0 !important;
}
.default-media-text__image, .default-media-text__video {
  display: block;
  position: relative;
}
.default-media-text__image img, .default-media-text__video img {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 5px;
  border-bottom-left-radius: 20rem;
}
.default-media-text__video {
  cursor: pointer;
}
.default-media-text__video:before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 10rem;
  height: 10rem;
  margin-top: -5rem;
  margin-left: -5rem;
  border-radius: 50%;
  transition: transform 0.3s ease;
  background-color: currentColor;
  color: var(--_secondary-colour, inherit);
  -webkit-mask-image: url("/_resources/app/client/images/svg/play.svg?v=1785186351459");
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;
  mask-image: url("/_resources/app/client/images/svg/play.svg?v=1785186351459");
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
}
.default-media-text__video:hover:before, .default-media-text__video:active:before, .default-media-text__video:focus-visible:before {
  transform: scale(1.1);
}
.default-media-text__caption {
  display: block;
  margin-top: var(--_row-gap, var(--default-gap, 3rem));
  margin-bottom: 0;
}
.default-media-text__content {
  display: flex;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
}
@media only screen and (min-width: 968px) {
  .default-media-text__content {
    padding-left: 0;
  }
}
@media only screen and (min-width: 968px) {
  .default-media-text__text {
    padding: 5rem;
  }
}
@media only screen and (min-width: 1280px) {
  .default-media-text__text {
    padding: 7rem;
  }
}
.default-media-text__text > :last-child {
  margin-bottom: 0;
}
.default-media-text__link {
  margin-top: 2rem;
  margin-bottom: 0;
  margin-right: 0;
  border-color: var(--_secondary-colour, var(--colour-primary, var(--body-background-colour-contrast, #000)));
  color: var(--_secondary-colour-contrast, var(--colour-primary-contrast, var(--body-background-colour-on-contrast, #fff)));
  background-color: var(--_secondary-colour, var(--colour-primary, var(--body-background-colour-contrast, #000)));
}
.default-media-text__link:hover, .default-media-text__link:active, .default-media-text__link:focus-visible {
  color: var(--_primary-colour-contrast, var(--body-background-colour-contrast, #000));
  background-color: transparent;
}
